Replaces an existing data file in Thredds

Replaces an existing data file in Thredds.

Files uploaded using this service replace an existing dataset.The path is prefixed with the dataset's existing organisation id, similar to the POST /data operation. As a concrete example, if uploading a data file owned by the organisation 'Acme' (e.g. organisationid=acme) and with path=/some/directory/file.nc, then the final URL path of the uploaded file will be /acme/some/directory/file.nc, and the details of the file will be found in an Acme-specific catalog that will be linked from the main Thredds catalog.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

The URL path of the existing dataset.

Note that this should be the complete path of the file, including the file name.

string

The ID of the organisation to own the dataset.

If omitted, it is assumed the first component of the path is the organisation ID.

string

Optional replacement name of the dataset.

If omitted, the name of the existing dataset will be retianed.

string

Optional list of IDs of the groups to contain the dataset, if any. Formatted as "[groupid1,groupid2]" If omitted the existing groups will be retained. If an empty group membership is desired provide the value "[]"

file
required

The dataset to upload, in NetCDF format.

The filename will be overridden by the path parameter.

Responses

Language
Credentials
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json